package de.szut.lf8_starter.project;

import de.szut.lf8_starter.project.dto.ProjectGetDto;
import org.springframework.stereotype.Service;

@Service
public class ProjectMapper {
    public ProjectGetDto mapToGetDto(ProjectEntity entity) {
        return new ProjectGetDto(
                entity.getId(),
                entity.getName(),
                entity.getLeadingEmployee(),
                entity.getEmployees(),
                entity.getContractor(),
                entity.getContractorName(),
                entity.getComment(),
                entity.getStartDate(),
                entity.getEndDate()
        );
    }
}
